Subject: Non-transparent proxies and the Vary header field

From: "Windes, Edwin" <[email-masked]>
Date: Thu, 20 Apr 2000 09:19:44 -0500

In section 14.44 (Vary header fields), I'm not sure I understand the
reasoning behind the rule that says: 'The "*" value MUST NOT be generated by
a proxy server,'

Looking back through the discussions, I see that Koen Holtman asked the same
question (a long, long time ago) but I couldn't find any responses that
addressed the issue.

Can anyone shed some light on the justification behind the requirement?

Thanks,
Ed Windes, Spyglass, Inc., ([email-masked])

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, March 27, 1998 1:54 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Comments on draft-ietf-http-v11-spec-rev-03
>
[ snip, snip ... ]
> - Section 14.44:
> 
> This section introduces a new (as far as I can see) requirement:
> 
> #  The "*" value MUST NOT be generated by a proxy server; it 
> #  may only be generated by an origin server.
> 
> I don't see any reason for having this requirement.  The general rule
> should be that transparent proxies may never change or add a Vary
> header (this is already implied elsewhere in the spec I believe), and
> that non-transparent proxies can do whatever they want.
> 
> By the way, proxies which support the TCN protocol extension _will_
> sometimes generate "*", this is explicitly allowed by TCN.
> 
> In short, the requirement should be deleted.
> 
>